<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<link rel="stylesheet" type="text/css" href="assets/css/main.css">
	<title>Workshop karaoPrint</title>
</head>
<body>
	<header>
		<h1><span class="pink">karaoPr</span>int.js</h1>
		<h2>Workshop Luuse</h2>
		<h3>11.3.19 → 15.3.19</h3>
		<h4>Esa Pyrenées — Pau</h4>
	</header>
	<main>
		<section>
			<h2>Brief</h2>
			<p>
				À partir d’un son au choix, création d'une <strong>page web karaoké interactive</strong> et d’un <strong>catalogue de karaokés</strong> en web to print, à partir de <span class="code defRef">karaoPrint.js</span>. 

				<span class="def">Petit script maison permettant de créer facilement un karaoke animé, à base de <span class="code">html</span>/<span class="code">css</span>.</span>
			</p>
		</section>
		<section class="list">
			<h2>Objets</h2>
			<h3>Web</h3>
			<ul class="objects">
				<li>
					<span class="sign"></span>
					<span class="item">
						1 karaoké par personne (1 <span class="code">page html</span> + 1 <span class="code">feuille css</span>)
					</span>
				</li>
				<li>
					<span class="sign"></span>
					<span class="item">
						1 site global (sorte de «&thinsp;compil’ / banque de données&thinsp;»), avec une page d'accueil commune rassemblant tous les karaokés
					</span>
				</li>
			</ul>
			<h3>Print</h3>
			<ul>
				<li>
					<span class="sign"></span>
					<span class="item">
						1 catalogue papier format A4, rassemblant tous les sons
					</span>					
				</li>
			</ul>
		</section>	
		<section class="list">
			<h2>Notions</h2>
			<h3>Technique</h3>
			<ul class="tech">
				<li>
					<span class="sign"></span>
					<span class="item">
						Les <span class="code">media queries</span>, ou comment gérer du print depuis le web
					</span>
				</li>
				<li>
					<span class="sign"></span>
					<span class="item">
						Les <span class="code">animations css</span> (<span class="code">javascript</span> ≠ toujours nécéssaire <span class="code">☺</span>)
					</span>
				</li>
				<li>
					<span class="sign"></span>
					<span class="item">
						L'outil <span class="code">Git</span>, ou le travail collectif façon programmation
					</span>
				</li>
			</ul>
			<h3>Design</h3>
			<ul class="design">	
				<li>
					<span class="sign"></span>
					<span class="item">
						Montrer l'aspect plurimédia du web, qui permet ici de générer à la fois une page animée et un print à partir du même code
					</span>
				</li>
				<li>
					<span class="sign"></span>
					<span class="item">
						Penser le passage d'un média à l'autre, les besoins de chacun et la variation de contenu que celui-ci peut impliquer
					</span>
				</li>
			</ul>
		</section>
		<section>
			<h2>Déroulé</h2>
			<table>
				<tr>
					<td>Lundi</td>
					<td>Matin</td>
					<td>Présentation du workshop [références, background] + initiation à <span class="code">karaoPrint.js</span></td>
				</tr>
				<tr>
					<td></td>
					<td>Aprem</td>
					<td>Démarrage du web karaoké → balisage <span class="code">html</span> + début de style <span class="code">css</span> si le temps</td>
				</tr>
				<tr>
					<td>Mardi</td>
					<td>Matin</td>
					<td>Point sur les animations <span class="code">css</span></td>
				</tr>
				<tr>
					<td></td>
					<td>Aprem</td>
					<td>Suite du web karaoké → style <span class="code">css</span></td>
				</tr>
				<tr>
					<td>Mercredi</td>
					<td>Matin</td>
					<td>Initiation aux <span class="code">media queries</span></br>Démarrage du catalogue (chacun sa page)</td>
				</tr>
				<tr>
					<td></td>
					<td>Aprem</td>
					<td>Finalisation web karaoké + page du catalogue</td>
				</tr>
				<tr>
					<td>Jeudi</td>
					<td>Matin</td>
					<td>Initiation à <span class="code">Git</span></br>Fusion des pages <span class="code">html</span> en un seul site</br>Rédaction de la page d'accueil</br></td>
				</tr>
				<tr>
					<td></td>
					<td>Aprem</td>
					<td>Réalisation de la couverture + index</td>
				</tr>
				<tr>
					<td>Vendredi</td>
					<td>Matin</td>
					<td>Impression <span class="code">RISO</span></br>Reliure (si possible spirale = top)</td>
				</tr>
				<tr>
					<td></td>
					<td>Aprem</td>
					<td>Réstitution</td>
				</tr>								
			</table>
		</section>
	</main>
</body>
</html>